import 'package:flutter/material.dart';
import 'package:flutter_map/flutter_map.dart';

import '../../consts.dart';
import '../data_classes.dart';

class OSM extends StatelessWidget {
  final List<Measurement> markerList;

  const OSM({
    Key? key,
    required this.markerList,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // Init list of polygons
    List<Polygon> polygons = [];

    // Map each element from markerList to a measurement object

    return FlutterMap(
      options: MapOptions(
        center: mapCenter,
        zoom: 9.0,
      ),
      children: [
        TileLayer(
          urlTemplate: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png",
          subdomains: const ['a', 'b', 'c'],
        ),
        PolygonLayer(
          polygons: polygons, // Return map with list of polygons included
        ),
      ],
    );
  }
}
